PHP Extended Support

In questo articolo puoi trovare le informazioni più importanti relative al nostro servizio a pagamento PHP Extended Support.

Che cos'è PHP Extended Support?

PHP è un linguaggio di programmazione molto potente che viene utilizzato per creare siti web dinamici. La Community di PHP rilascia regolarmente versioni di PHP nuove e migliorate e, per questo motivo, interrompe il supporto per le versioni più obsolete. Dal momento che la versione più vecchia di PHP non riceve più i nuovi aggiornamenti di sicurezza, questa non dovrebbe più essere utilizzata.

Per darti più tempo per passare ad una versione di PHP più attuale, ti offriamo, invece della completa disattivazione delle versione, il servizio PHP Extended Support.

Con il servizio PHP Extended Support, 1&1 IONOS si occupa di eseguire gli aggiornamenti di sicurezza futuri per le vulnerabilità delle versioni PHP interessate. Il nostro obiettivo è quello di fornirti un servizio ininterrotto per il tuo sito web e allo stesso tempo di evitare che quest'ultimo diventi vulnerabile agli hacker. I tuoi progetti e script PHP verranno protetti da 1&1 IONOS fino a quando non decidi di passare all'ultima versione di PHP.

Quali versioni di PHP sono interessate?

Per le versioni di PHP 4.0, 5.2, 5.4, 5.5, 5.6, 7.0 e 7.1, la Community di PHP ha interrotto già da tempo il supporto.

Nota bene:

Il supporto per la versione 7.2 di PHP verrà interrotto a partire dal 30 novembre 2020.

Cosa devono fare gli utenti di PHP 7.2?

Il 30 novembre 2020 verrà interrotto ufficialmente il supporto per la versione 7.2 di PHP. Se utilizzi questa versione per il tuo sito web con IONOS, riceverai un'e-mail a riguardo che ti informa che potrai continuare ad utilizzare la versione 7.2 di PHP sfruttando il nostro PHP Extended Support gratuitamente fino a marzo 2021. Questo ti darà il tempo di effettuare l'aggiornamento ad una versione più attuale.

Pertanto, ti consigliamo di aggiornare la versione di PHP per i domini interessati entro il 28 febbraio 2021. Ti consigliamo inoltre di utilizzare la versione 7.4 di PHP. L'aggiornamento della versione di PHP è gratuito.

Nota bene:

La versione di PHP non verrà aggiornata automaticamente. Se non esegui l'aggiornamento entro il 28 febbraio 2021, a partire da marzo 2021 il servizio PHP Extended Support diventerà a pagamento.

Perché mi viene addebitato il servizio PHP Extended Support?

Nel tuo spazio web utilizzi una versione di PHP obsoleta che non viene più supportata ed è possibile che almeno tu possieda almeno un dominio che è collegato ad una vecchia versione di PHP.  Se desideri modificare questa impostazione per ogni singolo dominio, apri le impostazioni di PHP. Seleziona il dominio desiderato e clicca su Cambiare la versione PHP. Nella pagina che si apre puoi selezionare tu stesso la versione che desideri. Per salvare, clicca su salva.

In generale, ti consigliamo di utilizzare sempre una versione di PHP attuale. La versione più attuale al momento è la PHP 7.4. Con PHP 7.4 puoi utilizzare le applicazioni più popolari e più valide senza alcun problema di compatibilità.

Nonostante il passaggio ad una versione più attuale, PHP Extend Support continua ad essere fatturato!

Se già passato ad una versione di PHP attuale per il tuo sito web o il tuo dominio? Se PHP Extended Support continua ad essere addebitato, è molto probabile che tu abbia dimenticato di disdire il servizio nelle impostazioni PHP. Se non hai più bisogno del servizio PHP Extended Support, è necessario disdire l'articolo aggiuntivo tramite il Servizio contratti oppure direttamente sulla pagina delle impostazioni PHP.

PHP Extended Support in contratti Managed WordPress

Per garantire che i siti web Managed WordPress siano sempre aggiornati e sicuri, i nostri esperti controllano e aggiornano regolarmente non solo l'installazione di WordPress, ma anche la versione PHP utilizzata. Per questo motivo, non devi occuparti di aggiornare la versione di PHP, in quanto ci pensano i nostri esperti al posto tuo.

Tuttavia, se ti arriva un'e-mail da parte di IONOS che ti dice che la versione di PHP non è aggiornata o se ti viene addebitato il PHP Extended Support, verifica quanto segue:

Hai installato WordPress nella versione standard? Potrebbe trattarsi di un'installazione aggiuntiva di WordPress, oppure potresti aver modificato un'installazione Managed WordPress in un'installazione standard.

Hai configurato un domino o un sottodominio che non è collegato ad un'installazione Managed WordPress, ad un editor di siti web di IONOS o ad un servizio esterno? Per sapere con quale versione di PHP sono configurati i tuoi domini e come aggiornare la versione di PHP, consulta questo articolo: Visualizzare o modificare la versione di PHP

Quando sono stato informato riguardo a PHP Extended Support?

Non hai ricevuto alcuna informazione relativa a PHP Extended Support via e-mail? E' possibile che tu abbia dimenticato di aver ricevuto l'e-mail oppure che tu non l'abbia vista. Controlla che l'indirizzo che hai memorizzato su IONOS sia corretto e, in caso contrario, aggiornalo. Solo così possiamo offrirti il miglior servizio possibile. Come modificare un indirizzo e-mail.

Perché è necessario attivare PHP Extended Support?

Poiché la Community di PHP non supporterà più le versioni di PHP obsolete a partire da una certa data, IONOS si assume il compito di supportare queste versioni al posto suo. Il nostro obiettivo è quello di fornirti un servizio senza interruzioni per il tuo sito web e di evitare che quest'ultimo diventi vulnerabile ad attacchi esterni. La manutenzione delle vecchie versioni di PHP significa un maggiore impegno amministrativo per i nostri sistemi. Per questo motivo ti verranno addebitati dei costi mensili per questo servizio.

Quando ha inizio PHP Extended Support?

PHP Extended Support inizia subito dopo la fine del supporto da parte della Community di PHP. Indipendentemente da questo, ti consigliamo di utilizzare sempre una versione di PHP attuale e valida.

Non sei sicuro di aver bisogno di PHP Extended Support?

Come scoprirlo:

Se tutto funziona come desiderato, puoi annullare PHP Extended Support in pochi clic tramite il Servizio contratti. Qui puoi trovare le informazioni relative alla cancellazione di un articolo o servizio aggiuntivo.

In alternativa, contatta l'Assistenza Clienti per annullare PHP Extended Support.

I tuoi script non funzionano più dopo il passaggio ad un'altra versione di PHP?

In questo caso è necessario reimpostare PHP alla versione precedente e contattare un esperto. La causa del problema è dovuta al fatto che, senza una modifica degli script, la tua applicazione non è compatibile con la nuova versione di PHP.

Desidero modificare gli script ad una versione di PHP più attuale, ma non ho abbastanza tempo. Cosa devo fare?

Prima di tutto, assicurati che la modifica degli script sia assolutamente necessaria. Se questo è il caso, contatta la nostra Assistenza Clienti.